package util

import (
	"fmt"

	"github.com/shopspring/decimal"
)

type Float64 float64

func (f Float64) MarshalJSON() ([]byte, error) {
	out, _ := decimal.NewFromFloat(float64(f)).Round(2).Float64()
	return []byte(fmt.Sprint(out)), nil
}
